Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Principal_out Class Reference

The T_out class for Principal. More...

`#include <Principal.h>`

Collaboration diagram for CORBA_Principal_out:

[legend]
List of all members.

## Public Methods
| CORBA_Principal_out (CORBA_Principal_ptr &)
| CORBA_Principal_out (CORBA_Principal_var &)
| CORBA_Principal_out (CORBA_Principal_out &)
CORBA_Principal_out & | operator= (CORBA_Principal_out &)
CORBA_Principal_out & | operator= (const CORBA_Principal_var &)
CORBA_Principal_out & | operator= (CORBA_Principal_ptr)
| operator CORBA_Principal_ptr & ()
CORBA_Principal_ptr & | ptr (void)
CORBA_Principal_ptr | operator-> (void)
## Private Attributes
CORBA_Principal_ptr & | ptr_

## Detailed Description

The T_out class for Principal.

As any other pseudo object Principal must have a T_out class, the interface an semantics are specified in the CORBA spec. = NOTE We use CORBA_Principal_ptr as the _ptr type instead of CORBA::Principal_ptr, this is an attempt to reduced the cyclic dependencies in TAO.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_Principal_out::CORBA_Principal_out | ( | CORBA_Principal_ptr & | p | ) |

ACE_INLINE CORBA_Principal_out::CORBA_Principal_out | ( | CORBA_Principal_var & | p | ) |

ACE_INLINE CORBA_Principal_out::CORBA_Principal_out | ( | CORBA_Principal_out & | p | ) |

## Member Function Documentation

ACE_INLINE CORBA_Principal_out::operator CORBA_Principal_ptr & | ( |  | ) |

ACE_INLINE CORBA_Principal_ptr CORBA_Principal_out::operator-> | ( | void |  | ) |

ACE_INLINE CORBA_Principal_out & CORBA_Principal_out::operator= | ( | CORBA_Principal_ptr | p | ) |

ACE_INLINE CORBA_Principal_out & CORBA_Principal_out::operator= | ( | const CORBA_Principal_var & | p | ) |

ACE_INLINE CORBA_Principal_out & CORBA_Principal_out::operator= | ( | CORBA_Principal_out & | p | ) |

ACE_INLINE CORBA_Principal_ptr & CORBA_Principal_out::ptr | ( | void |  | ) |

## Member Data Documentation

CORBA_Principal_ptr& CORBA_Principal_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- Principal.h
- Principal.i